org.eclipse.cdt.utils.coff

## Class PE.DOSHeader

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE.DOSHeader

Enclosing class:
  PE

    public static class PE.DOSHeader
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DOSHeader(byte[] hdr, boolean little)`
`DOSHeader(RandomAccessFile file)`
`DOSHeader(RandomAccessFile file, long offset)`
`DOSHeader(ReadMemoryAccess memory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commonSetup(ReadMemoryAccess memory)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DOSHeader

    public DOSHeader(RandomAccessFile file)
              throws IOException

Throws:
  `IOException`

#### DOSHeader

    public DOSHeader(RandomAccessFile file,
                     long offset)
              throws IOException

Throws:
  `IOException`

#### DOSHeader

    public DOSHeader(byte[] hdr,
                     boolean little)
              throws IOException

Throws:
  `IOException`

#### DOSHeader

    public DOSHeader(ReadMemoryAccess memory)
              throws IOException

Throws:
  `IOException`

### Method Detail

#### commonSetup

    public void commonSetup(ReadMemoryAccess memory)
                     throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`